// Import vue components
import * as components from '@/src/components';

// install function executed by Vue.use()
export function install(Vue) {
  Object.entries(components).forEach(([componentName, component]) => {
    Vue.component(componentName, component);
  });
};

// Create module definition for Vue.use()
const plugin = {
  install,
};


// To allow use as module (npm/webpack/etc.) export component
export * from '@/src/components';
